> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Channels

> Retrieve WhatsApp Business channels.

## List channels

`GET /api/channels`

Retrieve all WhatsApp channels connected to your account.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/channels \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "channelId": "647015955153740",
      "name": "Sales Team",
      "phoneNumber": "+919876543210",
      "phoneNumberId": "647015955153740",
      "wabaId": "1234567890",
      "status": "connected",
      "isDefault": true,
      "messagingLimit": "TIER_250K",
      "qualityRating": "GREEN",
      "createdAt": "2026-01-01T08:00:00Z"
    }
  ]
}
```

***

## Get active channel

`GET /api/channels/active`

```bash cURL theme={null}
curl https://zeplo.ai/api/channels/active \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

***

## Get all channels

`GET /api/channels/all`

Returns all channels across all users. Requires `superadmin` role.

```bash cURL theme={null}
curl https://zeplo.ai/api/channels/all \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.